Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 233106 - Show git output when pushing
Show git output when pushing
Status: RESOLVED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Git
7.3
PC Linux
: P3 with 1 vote (vote)
: 8.1
Assigned To: Ondrej Vrabec
issues@versioncontrol
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-20 14:15 UTC by pekarna
Modified: 2015-09-10 11:01 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description pekarna 2013-07-20 14:15:44 UTC
Git may have hooks. For example, OpenShift.org does these steps during push:

* receive the commits
* stops the server
* checkouts master
* builds the project
* starts the server
* deploys the result

All of this should be seen by user. Especially for the cases when something goes wrong. But what NetBeans shows is just:

    ==[IDE]== Jul 20, 2013 4:08:47 PM Committing... finished.
    ==[IDE]== Jul 20, 2013 4:09:50 PM Pushing
    git push ssh://51d5e6f14382e26d770000b3@test-ozizka.rhcloud.com/~/git/test.git/ +refs/heads/master:refs/heads/master

My suggestion is to bring up the Output window and let all the information by Git appear there.

Thanks for considering.
Comment 1 Ondrej Vrabec 2013-07-21 06:33:55 UTC
I don't think we receive any such information from server. Git commandline client may have but not the java client we use.
Comment 2 Ondrej Vrabec 2014-12-11 15:58:05 UTC
fix: http://hg.netbeans.org/core-main/rev/b7b9f2279b0d
Comment 3 Quality Engineering 2014-12-13 06:12:56 UTC
Integrated into 'main-silver', will be available in build *201412130001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/b7b9f2279b0d
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: #233106 - Show git output when pushing
Comment 4 ChrisLE 2015-07-24 13:16:13 UTC
I tested it in the latest dev build (201507200001) but neither git pull from upstream nor git push to upstream opens me the output. I enabled the option "Only show the output" :/
Comment 5 ChrisLE 2015-09-10 11:01:49 UTC
Still broken in Beta 8.1. I created a ticket, months ago for this too: https://netbeans.org/bugzilla/show_bug.cgi?id=243405.

Anything new?


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo